
$FreeBSD: ports/audio/slimserver/files/patch-Slim_Networking_mDNS.pm,v 1.1 2007/01/19 00:19:39 brooks Exp $

--- Slim/Networking/mDNS.pm.orig
+++ Slim/Networking/mDNS.pm
@@ -100,7 +100,6 @@
 
 		print CONF "$name\n";
 		print CONF "$service\n";
-		print CONF "TXT\n";
 		print CONF "$port\n";
 		print CONF "\n";
 	}
@@ -113,7 +112,7 @@
 		return;
 	}
 
-	my $command = sprintf("%s -d -f %s -P %s", $mDNSBin, $confFile, $pidFile);
+	my $command = sprintf("%s -b -f %s -P %s", $mDNSBin, $confFile, $pidFile);
 
 	$::d_mdns && msg("mDNS: About to run: $command\n");
 
